image: ruby:alpine3.17

variables:
  EXTENSIONS_TO_CHECK: xml,java,yml,sql,js,json,html,png,css,scss
  MAVEN_OPTS: "-Dmaven.repo.local=$CI_PROJECT_DIR/.m2/repository"

cache:
  paths:
    - .m2/repository/

stages:
  - build
  - deploy

include:
  - local: /gitlab/modules/.gitlab-ci-service-one.yml
  - local: /gitlab/modules/.gitlab-ci-service-two.yml
  - local: /gitlab/environments/.gitlab-ci-dev-env.yml
  - local: /gitlab/environments/.gitlab-ci-prod-env.yml
